Description

Currently, the detector system is defined differently in gammalib and IACTs. While IACTs use an alt-az alignment, gammalib uses a

ra-dec alignment.

We could avoid the recomputation of DETX, DETY wherever possible in case they are already given by the input event list. This

would decrease the discrepancy these different definition imply.

In my view, the only thing that needs to be done (for unbinned analysis) is to change the following functions:

GCTAModelIrfBackground::eval() and eval_gradients

GCTAModelAeffBackground::eval() and eval_gradients

In each of these functions, we could invoke the following call only when DetX and DetY are not already given:

GCTAInstDir inst_dir = cta->pointing().instdir(dir->dir());

Thus, the original detector coordinates provided in the event list would be used to evaluate the background model.

For binned (stacked) analysis, the above call would still be invoked since DetX and DetY are not given for a GCTAEventBin.

History

#1 - 11/17/2015 02:33 PM - Mayer Michael

For the analysis of current IACT data this would certainly imply an improvement without drawbacks for CTA analysis. The only issue that comes to my

mind is that we would cause a slight inconsistency between unbinned and binned analysis for current IACTs.

#2 - 04/04/2016 03:40 PM - Mayer Michael

We have talked about this issue during the last coding sprint. However, I can't remember the conclusion. Is it possible to implement this change

request?

#3 - 04/05/2016 02:12 PM - Knödlseder Jürgen

- Assigned To set to Knödlseder Jürgen

- Priority changed from Normal to High

The problem is that by switching to detector coordinates we have to introduce time at some point. I recall that when we discussed this we came to

some point where things were complicated. But I agree that we should write down what the problem is. I will try to look into this again when I find

some time.

#4 - 04/05/2016 03:53 PM - Mayer Michael

Let's also wait for the outcome of the meeting in Meudon about this issue.

My point was mainly to just use the DETX and DETY values from the input event list instead of recomputing them again internally. This would improve

the unbinned analysis and get rid of inconsistencies in the coordinate definitions.
